Index: /WAeUP_SRP/trunk/profiles/default/layouts/student_accommodation.xml
===================================================================
--- /WAeUP_SRP/trunk/profiles/default/layouts/student_accommodation.xml	(revision 1027)
+++ /WAeUP_SRP/trunk/profiles/default/layouts/student_accommodation.xml	(revision 1028)
@@ -19,5 +19,5 @@
   </property>
   <property name="hidden_readonly_layout_modes"/>
-  <property name="view_format">iso8601_medium_easy</property>
+  <property name="view_format">medium</property>
   <property name="hidden_empty"></property>
  </widget>
@@ -91,5 +91,5 @@
   </property>
   <property name="hidden_readonly_layout_modes"/>
-  <property name="view_format">iso8601_medium_easy</property>
+  <property name="view_format">medium</property>
  </widget>
  <widget name="acco_res_sc_pin" meta_type="Scratchcard Pin Widget">
Index: /WAeUP_SRP/trunk/profiles/default/layouts/student_accommodation_fe.xml
===================================================================
--- /WAeUP_SRP/trunk/profiles/default/layouts/student_accommodation_fe.xml	(revision 1027)
+++ /WAeUP_SRP/trunk/profiles/default/layouts/student_accommodation_fe.xml	(revision 1028)
@@ -20,5 +20,5 @@
   </property>
   <property name="hidden_readonly_layout_modes"/>
-  <property name="view_format">iso8601_medium_easy</property>
+  <property name="view_format">medium</property>
  </widget>
  <widget name="acco_maint_sc_pin" meta_type="Scratchcard Pin Widget">
@@ -50,5 +50,5 @@
   </property>
   <property name="hidden_readonly_layout_modes"/>
-  <property name="view_format">iso8601_medium_easy</property>
+  <property name="view_format">medium</property>
  </widget>
  <widget name="acco_res_sc_pin" meta_type="Scratchcard Pin Widget">
Index: /WAeUP_SRP/trunk/profiles/default/layouts/student_application.xml
===================================================================
--- /WAeUP_SRP/trunk/profiles/default/layouts/student_application.xml	(revision 1027)
+++ /WAeUP_SRP/trunk/profiles/default/layouts/student_application.xml	(revision 1028)
@@ -17,5 +17,5 @@
   <property name="hidden_layout_modes"/>
   <property name="hidden_readonly_layout_modes"/>
-  <property name="view_format">iso8601_medium_easy</property>
+  <property name="view_format">medium</property>
  </widget>
 <widget name="app_ac_pin" meta_type="Scratchcard Pin Widget">
@@ -49,5 +49,5 @@
  </property>
  <property name="hidden_readonly_layout_modes"/>
- <property name="view_format">iso8601_medium_easy</property>
+ <property name="view_format">medium</property>
 </widget>
  <widget name="entry_mode" meta_type="String Widget">
Index: /WAeUP_SRP/trunk/profiles/default/layouts/student_application_fe.xml
===================================================================
--- /WAeUP_SRP/trunk/profiles/default/layouts/student_application_fe.xml	(revision 1027)
+++ /WAeUP_SRP/trunk/profiles/default/layouts/student_application_fe.xml	(revision 1028)
@@ -21,5 +21,5 @@
   </property>
   <property name="hidden_readonly_layout_modes"/>
-  <property name="view_format">iso8601_medium_easy</property>
+  <property name="view_format">medium</property>
  </widget>
  <widget name="app_ac_pin" meta_type="Scratchcard Pin Widget">
@@ -53,5 +53,5 @@
  </property>
  <property name="hidden_readonly_layout_modes"/>
- <property name="view_format">iso8601_medium_easy</property>
+ <property name="view_format">medium</property>
 </widget>
  <widget name="entry_mode" meta_type="String Widget">
Index: /WAeUP_SRP/trunk/profiles/default/layouts/student_clearance.xml
===================================================================
--- /WAeUP_SRP/trunk/profiles/default/layouts/student_clearance.xml	(revision 1027)
+++ /WAeUP_SRP/trunk/profiles/default/layouts/student_clearance.xml	(revision 1028)
@@ -63,12 +63,12 @@
    <element value="alr_date"/>
   </property>
-  <property name="label">Exam Date</property>
-  <property name="label_edit">Exam Date</property>
-  <property name="readonly_layout_modes"/>
-  <property name="hidden_layout_modes">
-   <element value="create"/>
-  </property>
-  <property name="hidden_readonly_layout_modes"/>
-  <property name="view_format">iso8601_medium_easy</property> 
+  <property name="label">Exam Date (dd/mm/yyyy)</property>
+  <property name="label_edit">Exam Date (dd/mm/yyyy)</property>
+  <property name="readonly_layout_modes"/>
+  <property name="hidden_layout_modes">
+   <element value="create"/>
+  </property>
+  <property name="hidden_readonly_layout_modes"/>
+  <property name="view_format">iso8601_medium_easy</property>
  </widget>
  <widget name="alr_fname" meta_type="String Widget">
@@ -149,16 +149,16 @@
  </widget>
  <widget name="birthday" meta_type="Date Widget">
-  <property name="title">Day of Birth</property>
+  <property name="title">Date of Birth</property>
   <property name="fields">
    <element value="birthday"/>
   </property>
-  <property name="label">Day of Birth</property>
-  <property name="label_edit">Day of Birth</property>
-  <property name="readonly_layout_modes"/>
-  <property name="hidden_layout_modes">
-   <element value="create"/>
-  </property>
-  <property name="hidden_readonly_layout_modes"/>
-  <property name="view_format">iso8601_medium_easy</property> 
+  <property name="label">Date of Birth (dd/mm/yyyy)</property>
+  <property name="label_edit">Date of Birth (dd/mm/yyyy)</property>
+  <property name="readonly_layout_modes"/>
+  <property name="hidden_layout_modes">
+   <element value="create"/>
+  </property>
+  <property name="hidden_readonly_layout_modes"/>
+  <property name="view_format">iso8601_medium_easy</property>
  </widget>
  <widget name="cert" meta_type="Image Widget">
@@ -231,6 +231,6 @@
    <element value="entry_date"/>
   </property>
-  <property name="label">Entry Date</property>
-  <property name="label_edit">Entry Date</property>
+  <property name="label">Entry Date (dd/mm/yyyy)</property>
+  <property name="label_edit">Entry Date (dd/mm/yyyy)</property>
   <property name="readonly_layout_modes">
    <element value="edit"/>
@@ -240,5 +240,5 @@
   </property>
   <property name="hidden_readonly_layout_modes"/>
-  <property name="view_format">iso8601_medium_easy</property> 
+  <property name="view_format">iso8601_medium_easy</property>
   </widget>
  <widget name="request_date" meta_type="Date Widget">
@@ -247,6 +247,6 @@
    <element value="request_date"/>
   </property>
-  <property name="label">Request Date</property>
-  <property name="label_edit">Request Date</property>
+  <property name="label">Request Date (dd/mm/yyyy)</property>
+  <property name="label_edit">Request Date (dd/mm/yyyy)</property>
   <property name="readonly_layout_modes">
    <element value="edit"/>
@@ -256,5 +256,5 @@
   </property>
   <property name="hidden_readonly_layout_modes"/>
-  <property name="view_format">iso8601_medium_easy</property> 
+  <property name="view_format">iso8601_medium_easy</property>
  </widget>
  <widget name="cleared_date" meta_type="Date Widget">
@@ -263,6 +263,6 @@
    <element value="cleared_date"/>
   </property>
-  <property name="label">Cleared Date</property>
-  <property name="label_edit">Cleared Date</property>
+  <property name="label">Cleared Date (dd/mm/yyyy)</property>
+  <property name="label_edit">Cleared Date (dd/mm/yyyy)</property>
   <property name="readonly_layout_modes">
    <element value="edit"/>
@@ -272,5 +272,5 @@
   </property>
   <property name="hidden_readonly_layout_modes"/>
-  <property name="view_format">iso8601_medium_easy</property> 
+  <property name="view_format">iso8601_medium_easy</property>
  </widget>
  <widget name="entry_session" meta_type="String Widget">
@@ -323,12 +323,12 @@
    <element value="fst_sit_date"/>
   </property>
-  <property name="label">Exam Date</property>
-  <property name="label_edit">Exam Date</property>
-  <property name="readonly_layout_modes"/>
-  <property name="hidden_layout_modes">
-   <element value="create"/>
-  </property>
-  <property name="hidden_readonly_layout_modes"/>
-  <property name="view_format">iso8601_medium_easy</property> 
+  <property name="label">Exam Date (dd/mm/yyyy)</property>
+  <property name="label_edit">Exam Date (dd/mm/yyyy)</property>
+  <property name="readonly_layout_modes"/>
+  <property name="hidden_layout_modes">
+   <element value="create"/>
+  </property>
+  <property name="hidden_readonly_layout_modes"/>
+  <property name="view_format">iso8601_medium_easy</property>
  </widget>
  <widget name="fst_sit_fname" meta_type="String Widget">
@@ -637,12 +637,12 @@
    <element value="scd_sit_date"/>
   </property>
-  <property name="label">Exam Date</property>
-  <property name="label_edit">Exam Date</property>
-  <property name="readonly_layout_modes"/>
-  <property name="hidden_layout_modes">
-   <element value="create"/>
-  </property>
-  <property name="hidden_readonly_layout_modes"/>
-  <property name="view_format">iso8601_medium_easy</property> 
+  <property name="label">Exam Date (dd/mm/yyyy)</property>
+  <property name="label_edit">Exam Date (dd/mm/yyyy)</property>
+  <property name="readonly_layout_modes"/>
+  <property name="hidden_layout_modes">
+   <element value="create"/>
+  </property>
+  <property name="hidden_readonly_layout_modes"/>
+  <property name="view_format">iso8601_medium_easy</property>
  </widget>
  <widget name="scd_sit_fname" meta_type="String Widget">
Index: /WAeUP_SRP/trunk/profiles/default/layouts/student_clearance_fe.xml
===================================================================
--- /WAeUP_SRP/trunk/profiles/default/layouts/student_clearance_fe.xml	(revision 1027)
+++ /WAeUP_SRP/trunk/profiles/default/layouts/student_clearance_fe.xml	(revision 1028)
@@ -70,5 +70,5 @@
   </property>
   <property name="hidden_readonly_layout_modes"/>
-  <property name="view_format">iso8601_medium_easy</property> 
+  <property name="view_format">iso8601_medium_easy</property>
  </widget>
  <widget name="alr_fname" meta_type="String Widget">
@@ -149,16 +149,16 @@
  </widget>
  <widget name="birthday" meta_type="Date Widget">
-  <property name="title">Day of Birth</property>
+  <property name="title">Date of Birth</property>
   <property name="fields">
    <element value="birthday"/>
   </property>
-  <property name="label">Day of Birth</property>
-  <property name="label_edit">Day of Birth</property>
-  <property name="readonly_layout_modes"/>
-  <property name="hidden_layout_modes">
-   <element value="create"/>
-  </property>
-  <property name="hidden_readonly_layout_modes"/>
-  <property name="view_format">iso8601_medium_easy</property> 
+  <property name="label">Date of Birth (dd/mm/yyyy)</property>
+  <property name="label_edit">Date of Birth (dd/mm/yyyy)</property>
+  <property name="readonly_layout_modes"/>
+  <property name="hidden_layout_modes">
+   <element value="create"/>
+  </property>
+  <property name="hidden_readonly_layout_modes"/>
+  <property name="view_format">iso8601_medium_easy</property>
  </widget>
  <widget name="cert" meta_type="Image Widget">
@@ -231,6 +231,6 @@
    <element value="entry_date"/>
   </property>
-  <property name="label">Entry Date</property>
-  <property name="label_edit">Entry Date</property>
+  <property name="label">Entry Date (dd/mm/yyyy)</property>
+  <property name="label_edit">Entry Date (dd/mm/yyyy)</property>
   <property name="readonly_layout_modes">
    <element value="edit"/>
@@ -240,5 +240,5 @@
   </property>
   <property name="hidden_readonly_layout_modes"/>
-  <property name="view_format">iso8601_medium_easy</property> 
+  <property name="view_format">iso8601_medium_easy</property>
  </widget>
  <widget name="request_date" meta_type="Date Widget">
@@ -247,6 +247,6 @@
    <element value="request_date"/>
   </property>
-  <property name="label">Request Date</property>
-  <property name="label_edit">Request Date</property>
+  <property name="label">Request Date (dd/mm/yyyy)</property>
+  <property name="label_edit">Request Date (dd/mm/yyyy)</property>
   <property name="readonly_layout_modes">
    <element value="edit"/>
@@ -256,5 +256,5 @@
   </property>
   <property name="hidden_readonly_layout_modes"/>
-  <property name="view_format">iso8601_medium_easy</property> 
+  <property name="view_format">iso8601_medium_easy</property>
  </widget>
  <widget name="cleared_date" meta_type="Date Widget">
@@ -263,6 +263,6 @@
    <element value="cleared_date"/>
   </property>
-  <property name="label">Cleared Date</property>
-  <property name="label_edit">Cleared Date</property>
+  <property name="label">Cleared Date (dd/mm/yyyy)</property>
+  <property name="label_edit">Cleared Date (dd/mm/yyyy)</property>
   <property name="readonly_layout_modes">
    <element value="edit"/>
@@ -272,5 +272,5 @@
   </property>
   <property name="hidden_readonly_layout_modes"/>
-  <property name="view_format">iso8601_medium_easy</property> 
+  <property name="view_format">iso8601_medium_easy</property>
  </widget>
  <widget name="entry_session" meta_type="String Widget">
@@ -324,12 +324,12 @@
    <element value="fst_sit_date"/>
   </property>
-  <property name="label">Exam Date</property>
-  <property name="label_edit">Exam Date</property>
-  <property name="readonly_layout_modes"/>
-  <property name="hidden_layout_modes">
-   <element value="create"/>
-  </property>
-  <property name="hidden_readonly_layout_modes"/>
-  <property name="view_format">iso8601_medium_easy</property> 
+  <property name="label">Exam Date (dd/mm/yyyy)</property>
+  <property name="label_edit">Exam Date (dd/mm/yyyy)</property>
+  <property name="readonly_layout_modes"/>
+  <property name="hidden_layout_modes">
+   <element value="create"/>
+  </property>
+  <property name="hidden_readonly_layout_modes"/>
+  <property name="view_format">iso8601_medium_easy</property>
  </widget>
  <widget name="fst_sit_fname" meta_type="String Widget">
@@ -641,12 +641,12 @@
    <element value="scd_sit_date"/>
   </property>
-  <property name="label">Exam Date</property>
-  <property name="label_edit">Exam Date</property>
-  <property name="readonly_layout_modes"/>
-  <property name="hidden_layout_modes">
-   <element value="create"/>
-  </property>
-  <property name="hidden_readonly_layout_modes"/>
-  <property name="view_format">iso8601_medium_easy</property> 
+  <property name="label">Exam Date (dd/mm/yyyy)</property>
+  <property name="label_edit">Exam Date (dd/mm/yyyy)</property>
+  <property name="readonly_layout_modes"/>
+  <property name="hidden_layout_modes">
+   <element value="create"/>
+  </property>
+  <property name="hidden_readonly_layout_modes"/>
+  <property name="view_format">iso8601_medium_easy</property>
  </widget>
  <widget name="scd_sit_fname" meta_type="String Widget">
Index: /WAeUP_SRP/trunk/skins/waeup_custom/getCPSCandidateLocalRoles.py
===================================================================
--- /WAeUP_SRP/trunk/skins/waeup_custom/getCPSCandidateLocalRoles.py	(revision 1027)
+++ /WAeUP_SRP/trunk/skins/waeup_custom/getCPSCandidateLocalRoles.py	(revision 1028)
@@ -25,3 +25,3 @@
 if member.id in ("admin","perry"):
     return ['SectionReader','SectionManager','ClearanceOfficer', 'SectionOfficer']
-return ['ClearanceOfficer', 'SectionOfficer']
+return ['SectionReader', 'ClearanceOfficer', 'SectionOfficer']
Index: /WAeUP_SRP/trunk/skins/waeup_default/external_edit_form.pt
===================================================================
--- /WAeUP_SRP/trunk/skins/waeup_default/external_edit_form.pt	(revision 1027)
+++ /WAeUP_SRP/trunk/skins/waeup_default/external_edit_form.pt	(revision 1028)
@@ -5,9 +5,9 @@
            use_session=True, 
            no_form=True);
-    form_action string:external_edit;
-    form_type string:external;
-    is_allowed context/isSectionOfficer;
-    creation python:False;
-    metadata metadata|nothing;"
+           form_action string:external_edit;
+           form_type string:external;
+           is_allowed context/isSectionOfficer;
+           creation python:False;
+           metadata metadata|nothing;"
     >
   <metal:block use-macro="context/waeup_edit_form/macros/edit_form" />
Index: /WAeUP_SRP/trunk/skins/waeup_default/waeup_edit_form.pt
===================================================================
--- /WAeUP_SRP/trunk/skins/waeup_default/waeup_edit_form.pt	(revision 1027)
+++ /WAeUP_SRP/trunk/skins/waeup_default/waeup_edit_form.pt	(revision 1028)
@@ -5,5 +5,5 @@
            use_session=True, 
            no_form=True);
-           form_action string:cpsdocument_edit;
+           form_action string:waeup_edit;
            form_type string:waeup;
            creation python:False;
Index: /WAeUP_SRP/trunk/skins/waeup_student/clearance_pin_form.pt
===================================================================
--- /WAeUP_SRP/trunk/skins/waeup_student/clearance_pin_form.pt	(revision 1027)
+++ /WAeUP_SRP/trunk/skins/waeup_student/clearance_pin_form.pt	(revision 1028)
@@ -17,4 +17,7 @@
         <br />
         <div tal:replace="structure rendered_main" />
+        <br />
+        <font color="red">Processing your request may take a while. Please do not press the 'Start' button twice!</font>
+        <br />
       </metal:block>
       <metal:block fill-slot="sub">