Index: WAeUP_SRP/trunk/Widgets.py
===================================================================
--- WAeUP_SRP/trunk/Widgets.py	(revision 1031)
+++ WAeUP_SRP/trunk/Widgets.py	(revision 1032)
@@ -538,5 +538,8 @@
                         s_logger.info('"%s","%s", "checked admission though logged in", "%s"' % (s_id,ref,pin))
                         break
-                    s_logger.info('"%s","%s", "successfully used pin", "%s"' % (s_id,ref,pin)) 
+                    if ok == 1:    
+                        s_logger.info('"%s","%s", "successfully used pin", "%s"' % (s_id,ref,pin))
+                    else:
+                        s_logger.info('"%s","%s", "repeatedly used pin", "%s"' % (s_id,ref,pin))
                     break
                 else:
@@ -545,5 +548,5 @@
                 if student is None:
                     err = "Student not found."
-                    s_logger.info('"%s","not found in admission list"' % (ref)) 
+                    s_logger.info('"%s","not found in admission list"' % (ref))
                     break
                 s_id = student.getId()
@@ -552,11 +555,11 @@
                         if hasattr(self.portal_directories.students,s_id):
                             err = "Please login with your Student Id %s and 10-digit PIN." % s_id
-                            s_logger.info('"%s","%s", "repeatedly checked admission with pin", "%s"' % (s_id,ref,pin))   
+                            s_logger.info('"%s","%s", "repeatedly checked admission with pin", "%s"' % (s_id,ref,pin))
                             break
                         else:
-                            s_logger.info('"%s","%s","(non-member) repeatedly checked admission with pin", "%s"' % (s_id,ref,pin)) 
+                            s_logger.info('"%s","%s","(non-member) repeatedly checked admission with pin", "%s"' % (s_id,ref,pin))
                     else:
                         err = "Unknown error" % s_id
-                        s_logger.info('"%s","%s", "repeatedly activated service with pin", "%s"' % (s_id,ref,pin))   
+                        s_logger.info('"%s","%s", "repeatedly activated service with pin", "%s"' % (s_id,ref,pin))
                         break
                 try:
@@ -565,5 +568,5 @@
                 except:
                     err = "Please login with your Student Id %s and 10-digit PIN." % s_id
-                    s_logger.info('"%s","%s", "could not be made a member with pin", "%s"' % (s_id,ref,pin))  
+                    s_logger.info('"%s","%s", "could not be made a member with pin", "%s"' % (s_id,ref,pin))
                     break
             break
Index: WAeUP_SRP/trunk/profiles/default/layouts/student_clearance.xml
===================================================================
--- WAeUP_SRP/trunk/profiles/default/layouts/student_clearance.xml	(revision 1031)
+++ WAeUP_SRP/trunk/profiles/default/layouts/student_clearance.xml	(revision 1032)
@@ -63,6 +63,6 @@
    <element value="alr_date"/>
   </property>
-  <property name="label">Exam Date (dd/mm/yyyy)</property>
-  <property name="label_edit">Exam Date (dd/mm/yyyy)</property>
+  <property name="label">Exam Date</property>
+  <property name="label_edit">Exam Date</property>
   <property name="readonly_layout_modes"/>
   <property name="hidden_layout_modes">
@@ -153,5 +153,5 @@
    <element value="birthday"/>
   </property>
-  <property name="label">Date of Birth (dd/mm/yyyy)</property>
+  <property name="label">Date of Birth</property>
   <property name="label_edit">Date of Birth (dd/mm/yyyy)</property>
   <property name="readonly_layout_modes"/>
@@ -231,6 +231,6 @@
    <element value="entry_date"/>
   </property>
-  <property name="label">Entry Date (dd/mm/yyyy)</property>
-  <property name="label_edit">Entry Date (dd/mm/yyyy)</property>
+  <property name="label">Entry Date</property>
+  <property name="label_edit">Entry Date</property>
   <property name="readonly_layout_modes">
    <element value="edit"/>
@@ -247,6 +247,6 @@
    <element value="request_date"/>
   </property>
-  <property name="label">Request Date (dd/mm/yyyy)</property>
-  <property name="label_edit">Request Date (dd/mm/yyyy)</property>
+  <property name="label">Request Date</property>
+  <property name="label_edit">Request Date</property>
   <property name="readonly_layout_modes">
    <element value="edit"/>
@@ -263,6 +263,6 @@
    <element value="cleared_date"/>
   </property>
-  <property name="label">Cleared Date (dd/mm/yyyy)</property>
-  <property name="label_edit">Cleared Date (dd/mm/yyyy)</property>
+  <property name="label">Cleared Date</property>
+  <property name="label_edit">Cleared Date</property>
   <property name="readonly_layout_modes">
    <element value="edit"/>
@@ -323,6 +323,6 @@
    <element value="fst_sit_date"/>
   </property>
-  <property name="label">Exam Date (dd/mm/yyyy)</property>
-  <property name="label_edit">Exam Date (dd/mm/yyyy)</property>
+  <property name="label">Exam Date</property>
+  <property name="label_edit">Exam Date</property>
   <property name="readonly_layout_modes"/>
   <property name="hidden_layout_modes">
@@ -637,6 +637,6 @@
    <element value="scd_sit_date"/>
   </property>
-  <property name="label">Exam Date (dd/mm/yyyy)</property>
-  <property name="label_edit">Exam Date (dd/mm/yyyy)</property>
+  <property name="label">Exam Date</property>
+  <property name="label_edit">Exam Date</property>
   <property name="readonly_layout_modes"/>
   <property name="hidden_layout_modes">
Index: WAeUP_SRP/trunk/profiles/default/layouts/student_clearance_fe.xml
===================================================================
--- WAeUP_SRP/trunk/profiles/default/layouts/student_clearance_fe.xml	(revision 1031)
+++ WAeUP_SRP/trunk/profiles/default/layouts/student_clearance_fe.xml	(revision 1032)
@@ -153,5 +153,5 @@
    <element value="birthday"/>
   </property>
-  <property name="label">Date of Birth (dd/mm/yyyy)</property>
+  <property name="label">Date of Birth</property>
   <property name="label_edit">Date of Birth (dd/mm/yyyy)</property>
   <property name="readonly_layout_modes"/>
@@ -231,6 +231,6 @@
    <element value="entry_date"/>
   </property>
-  <property name="label">Entry Date (dd/mm/yyyy)</property>
-  <property name="label_edit">Entry Date (dd/mm/yyyy)</property>
+  <property name="label">Entry Date</property>
+  <property name="label_edit">Entry Date</property>
   <property name="readonly_layout_modes">
    <element value="edit"/>
@@ -247,6 +247,6 @@
    <element value="request_date"/>
   </property>
-  <property name="label">Request Date (dd/mm/yyyy)</property>
-  <property name="label_edit">Request Date (dd/mm/yyyy)</property>
+  <property name="label">Request Date</property>
+  <property name="label_edit">Request Date</property>
   <property name="readonly_layout_modes">
    <element value="edit"/>
@@ -263,6 +263,6 @@
    <element value="cleared_date"/>
   </property>
-  <property name="label">Cleared Date (dd/mm/yyyy)</property>
-  <property name="label_edit">Cleared Date (dd/mm/yyyy)</property>
+  <property name="label">Cleared Date</property>
+  <property name="label_edit">Cleared Date</property>
   <property name="readonly_layout_modes">
    <element value="edit"/>
@@ -324,5 +324,5 @@
    <element value="fst_sit_date"/>
   </property>
-  <property name="label">Exam Date (dd/mm/yyyy)</property>
+  <property name="label">Exam Date</property>
   <property name="label_edit">Exam Date (dd/mm/yyyy)</property>
   <property name="readonly_layout_modes"/>
@@ -641,5 +641,5 @@
    <element value="scd_sit_date"/>
   </property>
-  <property name="label">Exam Date (dd/mm/yyyy)</property>
+  <property name="label">Exam Date</property>
   <property name="label_edit">Exam Date (dd/mm/yyyy)</property>
   <property name="readonly_layout_modes"/>
Index: WAeUP_SRP/trunk/skins/waeup_student/clearance_edit.py
===================================================================
--- WAeUP_SRP/trunk/skins/waeup_student/clearance_edit.py	(revision 1031)
+++ WAeUP_SRP/trunk/skins/waeup_student/clearance_edit.py	(revision 1032)
@@ -49,9 +49,10 @@
 args = {}
 action = "/external_clearance_edit_form"
+if context.isStudent():
+    action = "/clearance_edit_form"
+
 if is_valid:
     if cpsdocument_edit_button:
         psm = "Content changed!"
-        if context.isStudent():
-           action = "/clearance_edit_form"
         if clear_doc.clr_ac_pin == "":
             res = context.portal_pins(student=member_id)
@@ -75,10 +76,6 @@
             logger.info('"%s","repeatedly requested clearance"' % (student_id))
             psm = "You have already requested clearance!"
-            if context.isStudent():
-               action = "/clearance_edit_form"
         else:
             psm = "You must tick the acknowledgement check box before submission!"
-            if context.isStudent():
-               action = "/clearance_edit_form"
     elif clear_and_validate_button and info['review_state'] == "clearance_requested":
         logger.info('"%s","cleared","%s"' % (member_id,student_id ))
Index: WAeUP_SRP/trunk/skins/waeup_student/getStudentInfo.py
===================================================================
--- WAeUP_SRP/trunk/skins/waeup_student/getStudentInfo.py	(revision 1031)
+++ WAeUP_SRP/trunk/skins/waeup_student/getStudentInfo.py	(revision 1032)
@@ -144,5 +144,5 @@
         row['s_edit_link'] = "%s/%s" % (soo.absolute_url(),se_link)
     row['review_state'] = so.review_state
-    row['display'] = so.review_state in ('opened','closed',)
+    row['display'] = so.review_state in ('opened','closed',) or so.portal_type == 'StudentStudyCourse'
     items.append(row)
 info['items'] = items
Index: WAeUP_SRP/trunk/skins/waeup_student/start_clearance.py
===================================================================
--- WAeUP_SRP/trunk/skins/waeup_student/start_clearance.py	(revision 1031)
+++ WAeUP_SRP/trunk/skins/waeup_student/start_clearance.py	(revision 1032)
@@ -42,15 +42,19 @@
 error = False
 if session.get("clicked",None):
-    psm = 'Please wait a moment, until "Clearance started" turns green, then click on the green link'
+    psm = 'Please wait a moment until "Clearance started" turns green, then click on the green link!'
     error = True
+    logger.info('"%s","repeatedly pressed the clearance button"' % (info['id']))
 elif app_doc.passport is None:
     psm = "You must upload your passport picture before you can start the registration process!"
     error = True
+    logger.info('"%s", "tried to start clerance without passport picture"' % (info['id']))
 elif review_state == "clearance_pin_entered":
-    psm = "You have already entered a clearance pin"
+    psm = "You have already entered a clearance pin!"
     error = True
+    logger.info('"%s", "tried to start clearance though already started"' % (info['id']))
 elif psm == 'invalid':
     psm = "Please correct your input!"
     error = True
+    logger.info('"%s","entered wrong clearance pin"' % (info['id']))
 if error:
     return context.clearance_pin_form(rendered = res,
@@ -62,5 +66,5 @@
 session.set("clicked","clicked")
 pin = str(ds.get('clr_ac_pin'))
-logger.info('"%s", "entered clearance pin", "%s"' % (info['id'],pin))
+logger.info('"%s", "started clearance with pin", "%s"' % (info['id'],pin))
 wf.doActionFor(info['student'],'enter_clearance_pin')
 wf.doActionFor(info['clear'],'open')