Index: /WAeUP_SRP/trunk/skins/waeup_custom/logout.py
===================================================================
--- /WAeUP_SRP/trunk/skins/waeup_custom/logout.py	(revision 1067)
+++ /WAeUP_SRP/trunk/skins/waeup_custom/logout.py	(revision 1067)
@@ -0,0 +1,24 @@
+## Script (Python) "logout"
+##bind container=container
+##bind context=context
+##bind namespace=
+##bind script=script
+##bind subpath=traverse_subpath
+##parameters=
+##title=Logout handler
+##
+# notify the event service that the user has logged out
+import logging
+logger = logging.getLogger('Logout')
+user = context.portal_membership.getAuthenticatedMember()
+if user:
+    from Products.CPSCore.EventServiceTool import getPublicEventService
+    evtool = getPublicEventService(context)
+    evtool.notifyEvent('user_logout', user, {})
+    logger.info('"%s", "logged out"' % (user))
+
+REQUEST = context.REQUEST
+if REQUEST.has_key('portal_skin'):
+    context.portal_skins.clearSkinCookie()
+REQUEST.RESPONSE.expireCookie('__ac', path='/')
+return REQUEST.RESPONSE.redirect(REQUEST.URL1+'/logged_out')
Index: /WAeUP_SRP/trunk/skins/waeup_custom/widget_portlet_search.pt
===================================================================
--- /WAeUP_SRP/trunk/skins/waeup_custom/widget_portlet_search.pt	(revision 1066)
+++ /WAeUP_SRP/trunk/skins/waeup_custom/widget_portlet_search.pt	(revision 1067)
@@ -1,2 +1,3 @@
+<span tal:condition="nothing">
 <form tal:define="ds options/datastructure;
                   advanced_search_link ds/advanced_search_link;
@@ -54,2 +55,3 @@
   </div>
 </form>
+</span>
Index: /WAeUP_SRP/trunk/skins/waeup_default/online_payment.pt
===================================================================
--- /WAeUP_SRP/trunk/skins/waeup_default/online_payment.pt	(revision 1066)
+++ /WAeUP_SRP/trunk/skins/waeup_default/online_payment.pt	(revision 1067)
@@ -5,12 +5,14 @@
             action="http://www.wemaonlinepayments.biz/payment.aspx" 
             id="Form1">
-        <div>
-          <input type="hidden" name="__VIEWSTATE" id="__VIEWSTATE" value="/wEPDwUJLTkzNjMzMjc5D2QWAgIBD2QWAgIZDw9kFgIeB29uY2xpY2sFbGphdmFzY3JpcHQ6cmV0dXJuIGZuUG9zdEJhY2tCZXR3ZWVuUGFnZXMoJ2RvY3VtZW50LkZvcm0xJywnaHR0cDovL3d3dy53ZW1hb25saW5lcGF5bWVudHMuYml6L3BheW1lbnQuYXNweCcpO2RkeyluJQkYEPTlhLbbxO4d41Wpexo=" />
-        </div>
           <table>
             <tr>
             <td >Site ID</td>
             <td >Code that represents the portal within the payment gateway.&nbsp; This is assigned to the portal by Wema Bank</td>
-            <td><input name="x_SiteID" type="text" id="x_SiteID" size="33" value="8000" /></td>
+            <td><input name="x_SiteID" 
+                       type="text" 
+                       id="x_SiteID" 
+                       size="33" 
+                       value="8000" />
+            </td>
           </tr>
           <tr>
@@ -34,5 +36,5 @@
                      type="text" 
                      id="x_PayDesc"
-                     value=" School Fees for 2006/2007 Session " 
+                     value="School Fees for 2006/2007 Session" 
                      />
             </td>
@@ -48,5 +50,5 @@
                      type="text" 
                      id="x_Billto" 
-                     value=" John Pedro " />
+                     value="John Pedro" />
             </td>
           </tr>
@@ -59,5 +61,5 @@
               <input name="x_Shipto" type="text" 
                      id="x_Shipto" 
-                     value=" Recipient Address" 
+                     value="Recipient Address" 
                      />
             </td>
@@ -70,6 +72,5 @@
                      type="text" 
                      id="x_PayerID" 
-                     style="WIDTH: 268px; HEIGHT: 22px" 
-                     value=" CS960307087 " 
+                     value="CS960307087 " 
                      />
             </td>
@@ -81,5 +82,5 @@
                        type="text" 
                        id="x_PayerNames" 
-                       value=" John Pedro" 
+                       value="John Pedro" 
                        />
             </td>
@@ -91,5 +92,5 @@
               <input name="x_PayerEmail" 
                      type="text" id="x_PayerEmail" 
-                     value=" abc@yahoo.co.uk" /></td>
+                     value="abc@yahoo.co.uk" /></td>
           </tr>
           <tr>
@@ -111,5 +112,5 @@
                        type="text" 
                        id="x_amt" 
-                       value=" 7500" 
+                       value="7500" 
                        />
             </td>
@@ -135,5 +136,4 @@
                      type="text" 
                      id="x_Redirect_url" 
-                     style="WIDTH: 264px; HEIGHT: 22px" size="38" 
                      value="http://uniben.waeup.org/callback" 
                      />
@@ -150,11 +150,4 @@
           </tr>
         </table>
-        <div>
-          <input type="hidden" 
-                 name="__EVENTVALIDATION" 
-                 id="__EVENTVALIDATION"
-                 value="/wEWDgKlt8BZApCJ0bMKApmj0YAKAoHTk+8HAsSt4qICArKX2q0FAvne2eQLAoiz43kC8Nfy2gkCl5uJ6AsC39WuxgoCyoCWrgMCj8y3rQgCya6ThwXqaVrYsmCB2RtXWJb/sBMQi/Vhfw==" 
-                 />
-        </div>
       </form>
     </metal:main>
Index: /WAeUP_SRP/trunk/skins/waeup_default/portlet_waeup_status_display.pt
===================================================================
--- /WAeUP_SRP/trunk/skins/waeup_default/portlet_waeup_status_display.pt	(revision 1066)
+++ /WAeUP_SRP/trunk/skins/waeup_default/portlet_waeup_status_display.pt	(revision 1067)
@@ -2,23 +2,15 @@
 <tal:block define="item nocall:options/context_obj;
                    item_info item/getContentInfo;
-                   student_info item/getStudentInfo;
-                   base_url python: request.get('cpsskins_base_url');
-                   states_not_shown python: ('work',);">
-
-
-<span tal:condition="python:path('item_info/review_state') not in states_not_shown ">                   
-                   
-  <span tal:condition="student_info">
-    <span tal:content="student_info/review_state" />  
-    <span tal:condition="python:item_info['review_state']!=student_info['review_state']"> 
+                   review_state item/getStudentReviewState;"
+                   >
+    <span tal:condition="review_state">
+    <span tal:content="review_state" />  
+    <span tal:condition="python:item_info['review_state']!= review_state"> 
        / <span tal:content="item_info/review_state" />
     </span>
   </ span>
-
-  <span tal:condition="not: student_info">
+  <span tal:condition="not: review_state">
     <span tal:content="item_info/review_state" />
   </span>
-
-</span>
 </tal:block>
 </metal:block>
Index: /WAeUP_SRP/trunk/skins/waeup_pins/search_pins.py
===================================================================
--- /WAeUP_SRP/trunk/skins/waeup_pins/search_pins.py	(revision 1066)
+++ /WAeUP_SRP/trunk/skins/waeup_pins/search_pins.py	(revision 1067)
@@ -80,5 +80,8 @@
             item['pin'] = i.pin
         else:
-            item['pin'] = "%s%s****%s" % (i.prefix_batch,i.pin[-10:-7],i.pin[-3:])
+            if str(member) in ('henrik','joachim'):
+                item['pin'] = "%s" % (i.pin,)
+            else:
+                item['pin'] = "%s%s****%s" % (i.prefix_batch,i.pin[-10:-7],i.pin[-3:])
         if i.pin in pins:
             continue
Index: /WAeUP_SRP/trunk/skins/waeup_student/getStudentId.py
===================================================================
--- /WAeUP_SRP/trunk/skins/waeup_student/getStudentId.py	(revision 1066)
+++ /WAeUP_SRP/trunk/skins/waeup_student/getStudentId.py	(revision 1067)
@@ -13,5 +13,8 @@
 """
 ptl = context.REQUEST.get('PATH_TRANSLATED').split('/')
-id_index = ptl.index('students')
+try:
+    id_index = ptl.index('students')
+except:
+    return None
 if len(ptl) > id_index + 2:
     return ptl[id_index + 1]
Index: /WAeUP_SRP/trunk/skins/waeup_student/getStudentInfo.py
===================================================================
--- /WAeUP_SRP/trunk/skins/waeup_student/getStudentInfo.py	(revision 1066)
+++ /WAeUP_SRP/trunk/skins/waeup_student/getStudentInfo.py	(revision 1067)
@@ -114,4 +114,7 @@
     info['pume'] = None
 
+if not with_items:
+    return info
+
 items = []
 s_edit_links = {'StudentApplication': 'application_edit_form',
@@ -127,6 +130,4 @@
               'StudentPume': 'pume_view',
               }
-if not with_items:
-    return info
 sos = context.portal_catalog(container_path=student_path)
 for so in sos:
Index: /WAeUP_SRP/trunk/skins/waeup_student/getStudentReviewState.py
===================================================================
--- /WAeUP_SRP/trunk/skins/waeup_student/getStudentReviewState.py	(revision 1067)
+++ /WAeUP_SRP/trunk/skins/waeup_student/getStudentReviewState.py	(revision 1067)
@@ -0,0 +1,18 @@
+## Script (Python) "getStudentInfo"
+##bind container=container
+##bind context=context
+##bind namespace=
+##bind script=script
+##bind subpath=traverse_subpath
+##parameters=student=None, with_items=None
+##title=
+##
+# $Id$
+"""
+return Info about the current Student
+"""
+student_id = context.getStudentId()
+res = context.portal_catalog(id = student_id,portal_type='Student')
+if not res:# or len(res) > 1:
+    return None
+return res[-1].review_state