Index: /WAeUP_SRP/trunk/skins/waeup_default/isSectionOfficer.py
===================================================================
--- /WAeUP_SRP/trunk/skins/waeup_default/isSectionOfficer.py	(revision 1076)
+++ /WAeUP_SRP/trunk/skins/waeup_default/isSectionOfficer.py	(revision 1077)
@@ -10,7 +10,10 @@
 # $Id: isManager.py 888 2006-11-17 21:28:48Z henrik $
 
+if context.isStudent():
+    return False
 mtool = context.portal_membership
 roles = mtool.getAuthenticatedMember().getRolesInContext(context)
-return "SectionManager" in roles or\
-       "Manager" in roles or\
-       "SectionOfficer" in roles
+return "SectionOfficer" in roles or\
+       "SectionManager" in roles or\
+       "Manager" in roles 
+       
Index: /WAeUP_SRP/trunk/skins/waeup_default/isStaff.py
===================================================================
--- /WAeUP_SRP/trunk/skins/waeup_default/isStaff.py	(revision 1076)
+++ /WAeUP_SRP/trunk/skins/waeup_default/isStaff.py	(revision 1077)
@@ -10,4 +10,8 @@
 # $Id: $
 
+if context.portal_membership.isAnonymousUser():
+    return False
+return not context.isStudent()
+
 mtool = context.portal_membership
 member = mtool.getAuthenticatedMember()
Index: /WAeUP_SRP/trunk/skins/waeup_default/isStudent.py
===================================================================
--- /WAeUP_SRP/trunk/skins/waeup_default/isStudent.py	(revision 1076)
+++ /WAeUP_SRP/trunk/skins/waeup_default/isStudent.py	(revision 1077)
@@ -10,15 +10,10 @@
 # $Id$
 
-#session = context.REQUEST.SESSION
-#roles = member.getRolesInContext(context)
-#return  "Student" in roles
-
-mtool = context.portal_membership
-member = mtool.getAuthenticatedMember()
-member_id = str(member)
-if len(member_id) == 7:
-    try:
-        int(member_id[1:])
-        return True
-    except:
-        return False
+member_id = str(context.portal_membership.getAuthenticatedMember())
+if len(member_id) != 7:
+    return False
+try:
+    int(member_id[1:])
+    return True
+except:
+    return False
Index: /WAeUP_SRP/trunk/skins/waeup_student/getStudentName.py
===================================================================
--- /WAeUP_SRP/trunk/skins/waeup_student/getStudentName.py	(revision 1076)
+++ /WAeUP_SRP/trunk/skins/waeup_student/getStudentName.py	(revision 1077)
@@ -12,24 +12,16 @@
 return Info about the current Student
 """
-import logging
-logger = logging.getLogger('getApplicationInfo')
-
-request = context.REQUEST
 mtool = context.portal_membership
-wf = context.portal_workflow
 member = mtool.getAuthenticatedMember()
-member_id = str(member)
-path_info = request.get('PATH_INFO').split('/')
-
 if mtool.isAnonymousUser():
     return None
-
 info = {}
 #from Products.zdb import set_trace
 #set_trace()
-student_id = context.getStudentId()
-if not student_id:
+if context.isStaff():
+    return member.getProperty('fullname',None)
+if not context.isStudent():
     return None
-res = context.students_catalog(id = student_id)
+res = context.students_catalog(id = str(member))
 if len(res) != 1:
     return None
Index: /WAeUP_SRP/trunk/skins/waeup_student/getStudentWorkflowInfo.py
===================================================================
--- /WAeUP_SRP/trunk/skins/waeup_student/getStudentWorkflowInfo.py	(revision 1076)
+++ /WAeUP_SRP/trunk/skins/waeup_student/getStudentWorkflowInfo.py	(revision 1077)
@@ -12,26 +12,14 @@
 return Info about the current Student
 """
-import logging
-logger = logging.getLogger('getApplicationInfo')
-
-request = context.REQUEST
 mtool = context.portal_membership
 wf = context.portal_workflow
 member = mtool.getAuthenticatedMember()
 member_id = str(member)
-path_info = request.get('PATH_INFO').split('/')
-
 if mtool.isAnonymousUser():
     return None
 info = {}
-#from Products.zdb import set_trace
-#set_trace()
-requested_id = context.getStudentId()
-if member_id != requested_id:
-    logger.info('"%s", "tried to access", "%s"' % (member_id,requested_id))
+if not context.isStudent():
     return None
 student_id = member_id
-
-
 students_object = context.portal_url.getPortalObject().campus.students
 student = getattr(students_object, student_id)
Index: /WAeUP_SRP/trunk/skins/waeup_student/raise_objection.py
===================================================================
--- /WAeUP_SRP/trunk/skins/waeup_student/raise_objection.py	(revision 1076)
+++ /WAeUP_SRP/trunk/skins/waeup_student/raise_objection.py	(revision 1077)
@@ -13,13 +13,13 @@
 """
 import DateTime
+import logging
+logger = logging.getLogger('raise_objection')
+
+wf = context.portal_workflow
+info = context.getStudentInfo()
+if not info:
+    logger.info('"%s", "tried to access", "%s"' % (context.portal_membership.getAuthenticatedMember(),requested_id))
+    return context.admission_form()
 current = DateTime.DateTime()
-request = context.REQUEST
-wf = context.portal_workflow
-mtool = context.portal_membership
-member = mtool.getAuthenticatedMember()
-roles = member.getRoles()
-
-info = context.getStudentInfo()
-
 info['app_doc'].edit(mapping={'objection_date':current,})
 if info['review_state'] == "admitted":