Index: /WAeUP_SRP/trunk/skins/waeup_student/clearance_edit_lib.pt
===================================================================
--- /WAeUP_SRP/trunk/skins/waeup_student/clearance_edit_lib.pt	(revision 1077)
+++ /WAeUP_SRP/trunk/skins/waeup_student/clearance_edit_lib.pt	(revision 1078)
@@ -29,19 +29,16 @@
 <!--  buttons -->
 <metal:block define-macro="buttons">
+  <tal:block condition="is_so"> 
   <!-- SectionOfficer -->
-  <tal:block condition="context/isSectionOfficer"> 
-  
-     <div tal:condition="python:info['review_state'] == 'clearance_pin_entered'">
-        <input type="checkbox" value="True" name="acknowledge" />     &nbsp;&nbsp;  
-
-        I hereby acknowledge by ticking this check box 
-        that, if it is discovered at any time that I do not possess any of the 
-        qualifications which I claim to have obtained, I will be expelled from the 
-        University and shall not be re-admitted for the same or any other programme, 
-        even if I have upgraded my previous qualifications or possess additional 
-        qualifications.    
+    <div tal:condition="python:info['review_state'] == 'clearance_pin_entered'">
+      <input type="checkbox" value="True" name="acknowledge" />     &nbsp;&nbsp;  
+      I hereby acknowledge by ticking this check box 
+      that, if it is discovered at any time that I do not possess any of the 
+      qualifications which I claim to have obtained, I will be expelled from the 
+      University and shall not be re-admitted for the same or any other programme, 
+      even if I have upgraded my previous qualifications or possess additional 
+      qualifications.    
     </div>
     <br />
-  
     <input type="submit" class="standalone" 
            name="cpsdocument_edit_button"
@@ -64,6 +61,6 @@
            tal:condition="python:review_state in ('cleared_and_validated','clearance_requested',)" />
   </tal:block>
+  <tal:block condition="is_co"> 
   <!--  ClearanceOfficer -->
-  <tal:block condition="is_co"> 
     <input type="submit" class="standalone" 
            name="clear_and_validate_button"
@@ -77,20 +74,16 @@
            tal:condition="python:review_state in ('cleared_and_validated','clearance_requested',)" />
   </tal:block>
+  <tal:block condition="is_student"> 
   <!--  Student -->
-  <tal:block condition="is_student"> 
-  
      <div tal:condition="python:info['review_state'] == 'clearance_pin_entered'">
-        <input type="checkbox" value="True" name="acknowledge" />     &nbsp;&nbsp;  
-
-        I hereby acknowledge by ticking this check box 
-        that, if it is discovered at any time that I do not possess any of the 
-        qualifications which I claim to have obtained, I will be expelled from the 
-        University and shall not be re-admitted for the same or any other programme, 
-        even if I have upgraded my previous qualifications or possess additional 
-        qualifications.    
+      <input type="checkbox" value="True" name="acknowledge" />     &nbsp;&nbsp;  
+      I hereby acknowledge by ticking this check box 
+      that, if it is discovered at any time that I do not possess any of the 
+      qualifications which I claim to have obtained, I will be expelled from the 
+      University and shall not be re-admitted for the same or any other programme, 
+      even if I have upgraded my previous qualifications or possess additional 
+      qualifications.    
     </div>
     <br />
-  
-  
     <input type="submit" class="standalone" 
            name="cpsdocument_edit_button"
Index: /WAeUP_SRP/trunk/skins/waeup_student/getApplicationInfo.py
===================================================================
--- /WAeUP_SRP/trunk/skins/waeup_student/getApplicationInfo.py	(revision 1077)
+++ /WAeUP_SRP/trunk/skins/waeup_student/getApplicationInfo.py	(revision 1078)
@@ -21,15 +21,13 @@
 member_id = str(member)
 path_info = request.get('PATH_INFO').split('/')
-
+##from Products.zdb import set_trace
+##set_trace()
 if mtool.isAnonymousUser():
     return None
 info = {}
-#from Products.zdb import set_trace
-#set_trace()
 requested_id = context.getStudentId()
 if member_id != requested_id:
     logger.info('"%s", "tried to access", "%s"' % (member_id,requested_id))
     student_id = member_id
-    mtool.assertViewable(context)
 student_id = member_id
 
Index: /WAeUP_SRP/trunk/skins/waeup_student/getClearanceInfo.py
===================================================================
--- /WAeUP_SRP/trunk/skins/waeup_student/getClearanceInfo.py	(revision 1077)
+++ /WAeUP_SRP/trunk/skins/waeup_student/getClearanceInfo.py	(revision 1078)
@@ -13,5 +13,5 @@
 """
 import logging
-logger = logging.getLogger('getApplicationInfo')
+logger = logging.getLogger('getClearanceInfo')
 
 request = context.REQUEST