Index: WAeUP_SRP/trunk/Academics.py
===================================================================
--- WAeUP_SRP/trunk/Academics.py	(revision 1081)
+++ WAeUP_SRP/trunk/Academics.py	(revision 1082)
@@ -51,5 +51,5 @@
     def importLocalRoles(self,portal_type): ###(
         name = '%sLocalRoles' % portal_type
-        logger = logging.getLogger('%s_import' % name)
+        logger = logging.getLogger('Import.%s' % name)
         current = DateTime.DateTime().strftime("%d-%m-%y_%H_%M_%S")
         logger.info('Start importing %(name)s to %(name)s_%(current)s.csv' % vars())
@@ -87,5 +87,5 @@
         name = 'Faculties'
         no_import = False
-        logger = logging.getLogger('%s_csv_import' % name)
+        logger = logging.getLogger('Import.%s_csv' % name)
         logger.info('Start loading from %s.csv' % name)
         academics = self.portal_catalog({'meta_type': 'AcademicsFolder'})[-1].getObject()
@@ -134,5 +134,5 @@
         name = 'Departments'
         no_import = False
-        logger = logging.getLogger('loaddepartments')
+        logger = logging.getLogger('Import.Departments')
         fields = ("code",
                   "review_state",
@@ -190,5 +190,5 @@
         name = 'Courses'
         no_import = False
-        logger = logging.getLogger('loadcourses')
+        logger = logging.getLogger('Import.Courses')
         fields = ("code",
                   "review_state",
@@ -262,5 +262,5 @@
         wf = self.portal_workflow
         no_import_list = []
-        logger = logging.getLogger('loadcertificates')
+        logger = logging.getLogger('Import.Certificates')
         fields = ("code",
                   "review_state",
@@ -340,9 +340,9 @@
         """install Certificate Courses from CSV values"""
         #return
-        logger = logging.getLogger('loadcertificatecourses')
+        logger = logging.getLogger('Import.CertificateCourses')
         name = 'CertificateCourses'
         wf = self.portal_workflow
         no_import_list = []
-        logger = logging.getLogger('loadcertificatecourses')
+        logger = logging.getLogger('Import.CertificateCourses')
         fields = ("code",
                   "review_state",
@@ -458,5 +458,5 @@
     def exportLocalRoles(self,portal_type): ###(
         name = '%sLocalRoles' % portal_type
-        logger = logging.getLogger('%s_export' % name)
+        logger = logging.getLogger('Export.%s' % name)
         current = DateTime.DateTime().strftime("%d-%m-%y_%H_%M_%S")
         logger.info('Start exporting %(name)s to %(name)s_%(current)s.csv' % vars())
@@ -485,5 +485,5 @@
         name = 'Faculties'
         no_import = False
-        logger = logging.getLogger('%s_export' % name)
+        logger = logging.getLogger('Export.%s' % name)
         current = DateTime.DateTime().strftime("%d-%m-%y_%H_%M_%S")
         logger.info('Start exporting %(name)s to %(name)s_%(current)s.csv' % vars())
@@ -518,5 +518,5 @@
         name = 'Departments'
         no_import = False
-        logger = logging.getLogger('%s_export' % name)
+        logger = logging.getLogger('Export.%s' % name)
         current = DateTime.DateTime().strftime("%d-%m-%y_%H_%M_%S")
         logger.info('Start exporting %(name)s to %(name)s_%(current)s.csv' % vars())
@@ -550,5 +550,5 @@
         name = 'Courses'
         no_import = False
-        logger = logging.getLogger('%s_export' % name)
+        logger = logging.getLogger('Export.%s' % name)
         current = DateTime.DateTime().strftime("%d-%m-%y_%H_%M_%S")
         logger.info('Start exporting %(name)s to %(name)s_%(current)s.csv' % vars())
@@ -592,5 +592,5 @@
         name = 'Certificates'
         no_import = False
-        logger = logging.getLogger('%s_export' % name)
+        logger = logging.getLogger('Export.%s' % name)
         current = DateTime.DateTime().strftime("%d-%m-%y_%H_%M_%S")
         logger.info('Start exporting %(name)s to %(name)s_%(current)s.csv' % vars())
@@ -648,5 +648,5 @@
         name = 'CertificateCourses'
         no_import = False
-        logger = logging.getLogger('%s_export' % name)
+        logger = logging.getLogger('Export.%s' % name)
         current = DateTime.DateTime().strftime("%d-%m-%y_%H_%M_%S")
         logger.info('Start exporting %(name)s to %(name)s_%(current)s.csv' % vars())
Index: WAeUP_SRP/trunk/ScratchCards.py
===================================================================
--- WAeUP_SRP/trunk/ScratchCards.py	(revision 1081)
+++ WAeUP_SRP/trunk/ScratchCards.py	(revision 1082)
@@ -37,5 +37,5 @@
         """import PinBatch"""
         name = "PINS"
-        logger = logging.getLogger('%s_import' % name)
+        logger = logging.getLogger('Import.%s' % name)
         logger.info('Start loading from %s.csv' % name)
         pins_section = self.portal_url.getPortalObject().campus.pins
@@ -53,5 +53,5 @@
                     dict = {}
                     prefix = pin['Serial']
-                    dict['prefix'] = pin['Serial'] 
+                    dict['prefix'] = pin['Serial']
                     batch_no = pin['Pin']
                     dict['batch_no'] = int(batch_no)
Index: WAeUP_SRP/trunk/Students.py
===================================================================
--- WAeUP_SRP/trunk/Students.py	(revision 1081)
+++ WAeUP_SRP/trunk/Students.py	(revision 1082)
@@ -81,5 +81,5 @@
             no_import = open("%s/import/%s_not_imported.csv" % (i_home,name),"w")
             no_import.write('"MatricNo","EntryRegNo","CurrentSession","StudentLevel","fullname","FirstName","MiddleName","Lastname","FormerSurname","Sex","Nationality","State","LGA","PermanentAddress","PermanentAddressCity","CampusAddress","PhoneNumber","Emailaddress","Mode","CourseMajor","Faculty","Dept"\n')
-        logger = logging.getLogger('%s_import' % name)
+        logger = logging.getLogger('Import.%s' % name)
         logger.info('Start loading from %s.csv' % name)
         pwlist  = []
@@ -275,5 +275,5 @@
         open(no_import_name,"w").write('\n'.join(no_import))
         no_import = []
-        logger = logging.getLogger('%s_import' % name)
+        logger = logging.getLogger('Import.%s' % name)
         starttime = DateTime.now()
         logger.info('Start loading from %s.csv' % name)
@@ -366,5 +366,5 @@
         open("%s/import/%s_not_imported.csv" % (i_home,name),"w").write(
                     '\n'.join(no_import))
-        logger = logging.getLogger('%s_import' % name)
+        logger = logging.getLogger('Import.%s' % name)
         logger.info('Start loading from %s.csv' % name)
         l = self.portal_catalog({'meta_type': "Certificate"})
@@ -581,5 +581,5 @@
         open("%s/import/%s_not_imported.csv" % (i_home,name),"w").write(
                     '\n'.join(no_import))
-        logger = logging.getLogger('%s_import' % name)
+        logger = logging.getLogger('Import.%s' % name)
         logger.info('Start loading from %s.csv' % name)
         l = self.portal_catalog({'meta_type': "Certificate"})
@@ -684,5 +684,5 @@
         s = ','.join(['"(%s)"' % fn for fn in csv_fields])
         no_import.append('%s\n' % s)
-        logger = logging.getLogger('%s_import' % name)
+        logger = logging.getLogger('Import.%s' % name)
         logger.info('Start loading from %s.csv' % name)
         try:
@@ -821,5 +821,5 @@
             no_import = open("%s/import/%s_not_imported.csv" % (i_home,name),"w")
             no_import.write('"Matnumber","CosCode","Ansbook","CosStuatus","Session","Mat_Cos","Score","CarryLevel","Grade","Weight","Semster","Verdict","Level","id","GPA"\n')
-        logger = logging.getLogger('%s_import' % name)
+        logger = logging.getLogger('Ímport.%s' % name)
         logger.info('Start loading from %s.csv' % name)
         students_folder = self.portal_catalog({'meta_type': 'StudentsFolder'})[-1].getObject()
@@ -944,5 +944,5 @@
             no_import = open("%s/import/%s_not_imported.csv" % (i_home,name),"w")
             no_import.write('REG-NO,NAME,SEX,STATE,LGA,ENG-SCORE,SUBJ1,SUBJ1-SCORE,SUBJ2,SUBJ2-SCORE,SUBJ3,SUBJ3-SCORE,AGGREGATE,UNIV1,FACULTY1,COURSE1,UNIV2,FACULTY2,COURSE2')
-        logger = logging.getLogger('%s_import' % name)
+        logger = logging.getLogger('Import.%s' % name)
         logger.info('Start loading from %s.csv' % name)
         try:
Index: WAeUP_SRP/trunk/WAeUPTables.py
===================================================================
--- WAeUP_SRP/trunk/WAeUPTables.py	(revision 1081)
+++ WAeUP_SRP/trunk/WAeUPTables.py	(revision 1082)
@@ -100,5 +100,5 @@
             self.catalog_object(dict2ob(record_data), uid, idxs=name,
                                 update_metadata=0)
-            
+
     security.declareProtected(ModifyPortalContent,"exportAllRecords")
     def exportAllRecords(self):
@@ -141,5 +141,5 @@
         rec = records[0]
         self.modifyRecord(bed=rec.bed,student=student_id)
-        s_logger = logging.getLogger('hostel_reservation')
+        s_logger = logging.getLogger('Accommodation.Reservation')
         s_logger.info("Student %s reserved bed %s" % (student_id,rec.bed))
         return 1,rec.bed
@@ -155,6 +155,6 @@
     def __init__(self):
         WAeUPTable.__init__(self, 'portal_pins')
-        
-    
+
+
     def searchAndSetRecord(self, uid, student_id,prefix):
         #records = self.searchResults(uid=uid)
Index: WAeUP_SRP/trunk/Widgets.py
===================================================================
--- WAeUP_SRP/trunk/Widgets.py	(revision 1081)
+++ WAeUP_SRP/trunk/Widgets.py	(revision 1082)
@@ -491,5 +491,5 @@
     def validate(self, datastructure, **kw):
         """Validate datastructure and update datamodel."""
-        s_logger = logging.getLogger('Student.Pin')
+        s_logger = logging.getLogger('Pin.Validate')
         widget_id = self.getWidgetId()
         v = datastructure[widget_id]
@@ -538,5 +538,5 @@
                         s_logger.info('"%s","%s", "checked admission though logged in", "%s"' % (s_id,ref,pin))
                         break
-                    if ok == 1:    
+                    if ok == 1:
                         s_logger.info('"%s","%s", "successfully used pin", "%s"' % (s_id,ref,pin))
                     else:
Index: WAeUP_SRP/trunk/profiles/default/vocabularies/student_search_mode.xml
===================================================================
--- WAeUP_SRP/trunk/profiles/default/vocabularies/student_search_mode.xml	(revision 1081)
+++ WAeUP_SRP/trunk/profiles/default/vocabularies/student_search_mode.xml	(revision 1082)
@@ -5,8 +5,8 @@
  <property name="description"></property>
  <property name="acl_write_roles">Manager</property>
- <item key="student_id" msgid="">Student Id (complete ids only)</item>
+ <item key="student_id" msgid="">Student Id (complete Ids only)</item>
  <item key="name" msgid="">Name</item>
  <item key="matric_no" msgid="">Matriculation No</item>
  <item key="jamb_reg_no" msgid="">Jamb Registration No</item>
- <item key="department" msgid="">Department (complete ids only)</item>
+ <item key="department" msgid="">Department Code (complete codes only)</item>
 </object>
Index: WAeUP_SRP/trunk/skins/waeup_custom/logged_in.py
===================================================================
--- WAeUP_SRP/trunk/skins/waeup_custom/logged_in.py	(revision 1081)
+++ WAeUP_SRP/trunk/skins/waeup_custom/logged_in.py	(revision 1082)
@@ -16,5 +16,5 @@
 current = DateTime.DateTime()
 import logging
-logger = logging.getLogger('Student.Login')
+logger = logging.getLogger('Member.Login')
 
 
@@ -106,4 +106,5 @@
         else:
             to_member_home, to_workspaces = checkRedirect(portal, mtool)
+
 if (not to_member_home) and (not to_workspaces):
     redirect_to_portal = True
@@ -124,8 +125,11 @@
 elif to_member_home:
     redirect_url = mtool.getHomeFolder().absolute_url()
+    logger.info('"%s", "logged in"' % (member))
 elif to_workspaces:
     redirect_url = portal.workspaces.absolute_url()
+    logger.info('"%s", "logged in"' % (member))    
 elif redirect_to_portal:
     redirect_url = portal_absolute_url
+    logger.info('"%s", "logged in"' % (member))
 
 REQUEST = context.REQUEST
Index: WAeUP_SRP/trunk/skins/waeup_custom/logout.py
===================================================================
--- WAeUP_SRP/trunk/skins/waeup_custom/logout.py	(revision 1081)
+++ WAeUP_SRP/trunk/skins/waeup_custom/logout.py	(revision 1082)
@@ -10,5 +10,5 @@
 # notify the event service that the user has logged out
 import logging
-logger = logging.getLogger('Logout')
+logger = logging.getLogger('Member.Logout')
 user = context.portal_membership.getAuthenticatedMember()
 if user:
Index: WAeUP_SRP/trunk/skins/waeup_pins/disable_pins.py
===================================================================
--- WAeUP_SRP/trunk/skins/waeup_pins/disable_pins.py	(revision 1081)
+++ WAeUP_SRP/trunk/skins/waeup_pins/disable_pins.py	(revision 1082)
@@ -15,5 +15,5 @@
 current = DateTime.DateTime().strftime("%d-%m-%y_%H_%M_%S")
 import logging
-logger = logging.getLogger('getStudentInfo')
+logger = logging.getLogger('Pin.Disable')
 
 request = REQUEST
Index: WAeUP_SRP/trunk/skins/waeup_pins/enable_pins.py
===================================================================
--- WAeUP_SRP/trunk/skins/waeup_pins/enable_pins.py	(revision 1081)
+++ WAeUP_SRP/trunk/skins/waeup_pins/enable_pins.py	(revision 1082)
@@ -15,5 +15,5 @@
 current = DateTime.DateTime().strftime("%d-%m-%y_%H_%M_%S")
 import logging
-logger = logging.getLogger('getStudentInfo')
+logger = logging.getLogger('Pin.Enable')
 
 request = REQUEST
Index: WAeUP_SRP/trunk/skins/waeup_student/application_view.pt
===================================================================
--- WAeUP_SRP/trunk/skins/waeup_student/application_view.pt	(revision 1081)
+++ WAeUP_SRP/trunk/skins/waeup_student/application_view.pt	(revision 1082)
@@ -1,3 +1,7 @@
 <metal:html tal:define="info context/getStudentInfo">
+  <span tal:condition="not: info">
+    <metal:block use-macro="here/illegal_view/macros/illegal_view" />
+  </span>
+  <metal:block tal:condition="info"> 
   <metal:body use-macro="here/waeup_content_master/macros/master">
     <metal:main fill-slot="main">
@@ -28,3 +32,4 @@
     </metal:main>
   </metal:body>
+  </metal:block>
 </metal:html>
Index: WAeUP_SRP/trunk/skins/waeup_student/clearance_edit.py
===================================================================
--- WAeUP_SRP/trunk/skins/waeup_student/clearance_edit.py	(revision 1081)
+++ WAeUP_SRP/trunk/skins/waeup_student/clearance_edit.py	(revision 1082)
@@ -16,5 +16,5 @@
 current = DateTime.DateTime()
 import logging
-logger = logging.getLogger('Student.Clearance')
+logger = logging.getLogger('Student.Clearance.Edit')
 
 cpsdocument_edit_button = REQUEST.has_key('cpsdocument_edit_button')
Index: WAeUP_SRP/trunk/skins/waeup_student/getApplicationInfo.py
===================================================================
--- WAeUP_SRP/trunk/skins/waeup_student/getApplicationInfo.py	(revision 1081)
+++ WAeUP_SRP/trunk/skins/waeup_student/getApplicationInfo.py	(revision 1082)
@@ -13,5 +13,5 @@
 """
 import logging
-logger = logging.getLogger('getApplicationInfo')
+logger = logging.getLogger('Student.Application.Info')
 
 request = context.REQUEST
Index: WAeUP_SRP/trunk/skins/waeup_student/getClearanceInfo.py
===================================================================
--- WAeUP_SRP/trunk/skins/waeup_student/getClearanceInfo.py	(revision 1081)
+++ WAeUP_SRP/trunk/skins/waeup_student/getClearanceInfo.py	(revision 1082)
@@ -13,5 +13,5 @@
 """
 import logging
-logger = logging.getLogger('getClearanceInfo')
+logger = logging.getLogger('Student.Clearance.Info')
 
 request = context.REQUEST
Index: WAeUP_SRP/trunk/skins/waeup_student/getStudentInfo.py
===================================================================
--- WAeUP_SRP/trunk/skins/waeup_student/getStudentInfo.py	(revision 1081)
+++ WAeUP_SRP/trunk/skins/waeup_student/getStudentInfo.py	(revision 1082)
@@ -21,5 +21,5 @@
 
 import logging
-logger = logging.getLogger('getStudentInfo')
+logger = logging.getLogger('Student.Info')
 
 info = {}
Index: WAeUP_SRP/trunk/skins/waeup_student/raise_objection.py
===================================================================
--- WAeUP_SRP/trunk/skins/waeup_student/raise_objection.py	(revision 1081)
+++ WAeUP_SRP/trunk/skins/waeup_student/raise_objection.py	(revision 1082)
@@ -14,5 +14,5 @@
 import DateTime
 import logging
-logger = logging.getLogger('raise_objection')
+logger = logging.getLogger('Student.Objection')
 
 wf = context.portal_workflow